> ## Documentation Index
> Fetch the complete documentation index at: https://docs.convertly.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Restore an archive into the library



## OpenAPI

````yaml /openapi.json post /api/files/archive/restore
openapi: 3.1.0
info:
  title: Convertly API
  version: 1.0.0
  description: >-
    Convertly provides production API endpoints for media conversion,
    compression, Image CDN delivery, Forma AI, HLS/DASH video streaming, media
    tools, async jobs, workflows, webhooks, and Convertly Storage.
  license:
    name: Proprietary
    url: https://convertly.sh/terms
servers:
  - url: https://convertly.sh
security:
  - bearerAuth: []
  - apiKeyAuth: []
paths:
  /api/files/archive/restore:
    post:
      tags:
        - Files and Storage
      summary: Restore an archive into the library
      operationId: restoreFileArchive
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - archiveFileId
                - mode
              properties:
                archiveFileId:
                  type: string
                  format: uuid
                mode:
                  type: string
                  enum:
                    - new_folder
                    - existing_folder
                targetFolderId:
                  type:
                    - string
                    - 'null'
                  format: uuid
                folderName:
                  type: string
                  maxLength: 120
                preservePaths:
                  type: boolean
                  default: true
      responses:
        '202':
          description: Restore job accepted
        '400':
          $ref: '#/components/responses/Error'
        '401':
          $ref: '#/components/responses/Error'
components:
  responses:
    Error:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
        upgradeUrl:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Dashboard-generated Convertly API key. Keys currently begin with
        `cvly_`.
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Alternative API key header for server-side clients.

````